CLASS T(3)

NAME
boost::make_recursive_variant_over - Exposes a recursive variant whose bounded types are the elements of the given type sequence.

SYNOPSIS

// In header: <boost/variant/recursive_variant.hpp>
template<typename Sequence>
class make_recursive_variant_over {
public:
  // types
  typedef variant< unspecified > type;
};

DESCRIPTION

type has behavior equivalent in every respect to make_recursive_variant< Sequence[0], Sequence[1], ... >::type (where Sequence[i] denotes the i-th element of Sequence), except that no upper limit is imposed on the number of types.

Notes:

    &#8226; Sequence must meet the requirements of
                MPL[1]'s Sequence
                concept..RE

        &#8226; Due to standard conformance problems in several compilers,
                    make_recursive_variant_over may not be supported on
                    your compiler. See
                    BOOST_VARIANT_NO_TYPE_SEQUENCE_SUPPORT
                    for more information..RE